org.eclipse.emf.spi.cdo

## Interface InternalCDOViewSet

- All Superinterfaces:
    Adapter, CDOViewSet, Notifier

      public interface InternalCDOViewSet
      extends CDOViewSet, Adapter

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `Adapter.Internal`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(InternalCDOView view)`
    `<V> V` | `executeWithoutNotificationHandling(java.util.concurrent.Callable<V> callable)`
    `void` | `remapView(InternalCDOView view)`
    `void` | `remove(InternalCDOView view)`
    `InternalCDOView` | `resolveView(java.lang.String repositoryUUID)` Deprecated.
    `InternalCDOView` | `resolveView(URI viewURI)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewSet

      `getPackageRegistry, getResourceFactory, getResourceSet, getViews`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

      `getTarget, isAdapterForType, notifyChanged, setTarget`

- - ### Method Detail

    - #### add

          void add(InternalCDOView view)

    - #### remove

          void remove(InternalCDOView view)

    - #### remapView

          void remapView(InternalCDOView view)

      Since:
        4.5

    - #### resolveView

          InternalCDOView resolveView(URI viewURI)

      Specified by:
        `resolveView` in interface `CDOViewSet`
      Since:
        4.4

    - #### resolveView

          @Deprecated
          InternalCDOView resolveView(java.lang.String repositoryUUID)

      Deprecated.
      Specified by:
        `resolveView` in interface `CDOViewSet`

    - #### executeWithoutNotificationHandling

          <V> V executeWithoutNotificationHandling(java.util.concurrent.Callable<V> callable)

      Since:
        4.1

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html